package com.ym.mec.student.controller;

import com.ym.mec.biz.dal.wrapper.MemberRankSettingWrapper;
import com.ym.mec.biz.service.MemberRankSettingService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RequestMapping("${app-config.url.student:}/memberRankSetting")
@Api(tags = "会员等级服务")
@RestController
public class MemberRankSettingController extends BaseController {

    @Resource
    private MemberRankSettingService memberRankSettingService;

    @ApiOperation(value = "获取可用的会员树状列表")
    @GetMapping("/queryTree")
    public HttpResponseResult<List<MemberRankSettingWrapper.MemberRankSetting>> queryTree(String musicGroupId,Integer organId,Integer studentId) {
        if (musicGroupId == null && organId == null && studentId == null) {
            return failed("参数错误");
        }
        return succeed(memberRankSettingService.queryTree(musicGroupId,organId,studentId));
    }

}
