package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum FeatureType implements BaseEnum<String, FeatureType> {
	CLOUD_STUDY_TRAIN("CLOUD_STUDY_TRAIN", "云教练训练"),
	CLOUD_STUDY_EVALUATION("CLOUD_STUDY_EVALUATION", "云教练评测"),
    FOLLOW_UP_TRAINING("FOLLOW_UP_TRAINING", "跟练");

	private String code;

	private String desc;

	FeatureType(String code, String desc) {
		this.code = code;
		this.desc = desc;
	}

    public static FeatureType format(String feature) {
        switch (feature){

//            UNIT_TEST("单元测试"),
//                PRACTICE("自主练习"),
//                EVALUATION("评测"),
//                LESSON_TRAINING("课后练习"),
//                FOLLOW_UP_TRAINING("跟练"),
            case "PRACTICE":
                return CLOUD_STUDY_TRAIN;
            case "FOLLOW_UP_TRAINING":
                return FOLLOW_UP_TRAINING;
            case "EVALUATION":
                return CLOUD_STUDY_EVALUATION;
            default:
                return CLOUD_STUDY_TRAIN;
        }

    }

    @Override
	public String getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

    public String toCbs() {
        switch (this) {
            case CLOUD_STUDY_TRAIN:
                return "PRACTICE";
            case FOLLOW_UP_TRAINING:
                return "FOLLOW_UP_TRAINING";
            case CLOUD_STUDY_EVALUATION:
                return "EVALUATION";
            default:
                return "PRACTICE";
        }
    }
}
